Subject: [Hipsec] Re: Security requirements for identification

From: [email-masked] (Kurt Erik Lindqvist)
Date: Tue Sep 30 23:47:01 2003

> Hmmm....  I suppose that I should respond.  ;-)

Thanks! :-)

> Yes, I think that that some kind of consensus on the properties
> of identifiers is a necessity.  There is a long discussion
> to get there.  Could we get rough consensus on it?  Yes, I think
> so, but it might be very rough.

I think we need a point to start at anyway.

>  And it might take a very long
> time.  Certainly the discussions within our design team have taken
> awhile and that's with a much smaller number of people.  It may
> well be faster to start the discussion with the output of one of
> the design teams, so that the discussion can revolve around an
> entire design, rather than effectively throwing open design discussions
> to the entire WG.  I'm flexible in this regard.

I am just trying to get a feeling of what people think. I do agree that 
working on the output of the DTs might be the fastest way, on the other 
hand, whatever we could do in parallel is just an added value.

> However, as a Loyal Opponent of Bureaucracy, I have to question
> whether this needs to be a document.  And whether this needs to
> be an official WG document, given that it will not become end
> product.

It could become a product, question is if that would help us. I will be 
the first to agree to cut down the amount of drafts published, so if we 
can do without, the better. I just have a feeling that we lack actual 
text to discuss around. We are just adding more ideas, but not 
producing real consensus one way or the other.

> In the Good Olde Days, the WG chair was a neutral discussion
> leader and tried to establish consensus by ensuring that
> differing points of view were represented in the work output
> and that the group came to rough consensus on very small points
> in a gradual manner.  This is not the only way that these things
> can happen, but a reminder of what once was.  I leave it to the
> WG to choose the best path.

I agree with the above. I have at least _tried_  to be neutral, maybe 
even to neutral to get the discussion going in a direction. But from 
above, I think this would also be easier on my part if we actually had 
real text to discuss around.

But I have no strong feeling one way or the other on the original 
question.

Best regards,

- - kurtis -

---

From: [email-masked] (Tony Li)
Date: Tue Sep 30 23:47:03 2003

Ok, let me see if I can give a taxonomy of possible
identifier properties:

1. Syntax
   Fixed length
	Partitioned
	    Fixed size partitions
	    Variable sized partitions
      Atomic
   Variable length

2. Global Semantics
	None
	Globally unique
		Database key
		No further semantics

3. Local Semantics
	None
	Locally unique
		No further semantics
		Expresses local geography
		Expresses local topology
		Expresses other local properties

3. Generation
   Random bit string
   Cryptographic hash
   Hierarchical assignment

Tony